{
	saved_FirstTime[0]
	
	Init[(s)
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			SetNationality(1);
			PlayAnimation(7);
			GiveWeapon(56);
			SetAttackDistance(13,13);
			SetState_Patrol(0);
			SetLineOfSight(0);
			SetRunning();
		}
		
		if (GetID = "rock2")
		{
			SetAttackDistance(13,2);
		}
	}]

	GoWalking [ (xpos, ypos, mode)
	{
		SetAttackDistance(10,10);
		SetState_Patrol(0);
		SetLineOfSight(0);
		SetRunning();
		PlayAnimation(0);
		WalkTo(xpos, ypos, mode, 1);
	}]

	WarpTo [ (xpos, ypos, zpos)
	{
		SetPosition(xpos, ypos, zpos);
		SetAttackDistance(10,10);
		SetState_Patrol(1);
		SetLineOfSight(1);
		SetRunning();
		PlayAnimation(0);
		SetWalkToDist(5);
	}]

	ReachedDestination [(dest)
	{
		if (dest=5)
			{
				SetCrouching();
				PlayAnimation(8);
				SetAttackDistance(15,15);
				SetState_Patrol(0);
				SetLineOfSight(0);
				TurnTo( Level.GetPlayer());
				SetWander(0);
			}

		if (dest=6)
		{
				PlayAnimation(7);
				SetAttackDistance(15,15);
				SetState_Patrol(0);
				SetLineOfSight(0);
				TurnTo( Level.GetPlayer());
				SetWander(0);
		}

		if (dest=7)
		{
				SetProne();
				PlayAnimation(9);
				SetAttackDistance(15,15);
				SetState_Patrol(0);
				SetLineOfSight(0);
				TurnTo( Level.GetPlayer());
				SetWander(0);
		}

	}]
	
}